# sizebasedtriggeringpolicy.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::helpers
namespace | log4cxx::rolling

## Classes

class | SizeBasedTriggeringPolicy
| SizeBasedTriggeringPolicy looks at size of the file being currently written to. More...

## Defines

#define | _LOG4CXX_ROLLING_SIZE_BASED_TRIGGERING_POLICY_H

## Functions

| log4cxx::rolling::LOG4CXX_PTR_DEF (SizeBasedTriggeringPolicy)

## Define Documentation

#define _LOG4CXX_ROLLING_SIZE_BASED_TRIGGERING_POLICY_H